Subject: RE: bug#29839: 26.0; Bad xrefs in (elisp) `Sequence Functions'

From: Drew Adams <[email-masked]>
Date: Tue, 26 Dec 2017 08:58:49 -0800 (PST)

> > > > But I again tried Emacs 24.5 (release), and the problem is still
> > > > there - reproducible over and over.
> > >
> > > I think you've rediscovered bug#21055 and possibly also bug#14125.
> > > Both were solved in Emacs 25.
> > >
> > > So I think we can safely mark this bug done.
> >
> > OK.  But can you explain (for my learning) why I saw the
> > problem earlier for all builds starting with Emacs 24.5
> > and now I see it only for Emacs 24.5?
> 
> No, I can't.  If it's the problem I think you saw, it is fixed in
> Emacs 25.1 and later.
> 
> How sure are you that you indeed tried all the versions, and not just
> 24.5?  Or maybe you tried that with an old elisp.info?

What do you mean by "all the versions"?

I tried all of the versions that I mentioned, both originally
and this last time (after you asked to try again).  I am sure
of that.  And I wouldn't even know how to try "with an old
elisp.info".  As I said, I used `emacs -Q'.  Could that "try
with an old elisp.info"?

I still use Emacs 24.5 much of the time, and I see the problem
always with that release, both with and without an init file.